import React from 'react';
import { WizardProps } from './types';
declare const useFormikWizard: ({ activeStepIndex, validateOnNext, steps, children, ...props }: WizardProps) => {
    handlePrev: () => Promise<void>;
    handleNext: () => Promise<void>;
    isFirstStep: boolean;
    isLastStep: boolean;
    currentStepIndex: number;
    isPrevDisabled: boolean;
    isNextDisabled: boolean;
    renderComponent: () => JSX.Element;
    initialValues: import("formik").FormikValues;
    initialErrors: import("formik").FormikErrors<unknown>;
    initialTouched: import("formik").FormikTouched<unknown>;
    initialStatus: any;
    handleBlur: {
        (e: React.FocusEvent<any>): void;
        <T = any>(fieldOrEvent: T): T extends string ? (e: any) => void : void;
    };
    handleChange: {
        (e: React.ChangeEvent<any>): void;
        <T_1 = string | React.ChangeEvent<any>>(field: T_1): T_1 extends React.ChangeEvent<any> ? void : (e: string | React.ChangeEvent<any>) => void;
    };
    handleReset: (e: any) => void;
    handleSubmit: (e?: React.FormEvent<HTMLFormElement> | undefined) => void;
    resetForm: (nextState?: Partial<import("formik").FormikState<import("formik").FormikValues>> | undefined) => void;
    setErrors: (errors: import("formik").FormikErrors<import("formik").FormikValues>) => void;
    setFormikState: (stateOrCb: import("formik").FormikState<import("formik").FormikValues> | ((state: import("formik").FormikState<import("formik").FormikValues>) => import("formik").FormikState<import("formik").FormikValues>)) => void;
    setFieldTouched: (field: string, touched?: boolean | undefined, shouldValidate?: boolean | undefined) => Promise<import("formik").FormikErrors<import("formik").FormikValues>> | Promise<void>;
    setFieldValue: (field: string, value: any, shouldValidate?: boolean | undefined) => Promise<import("formik").FormikErrors<import("formik").FormikValues>> | Promise<void>;
    setFieldError: (field: string, value: string | undefined) => void;
    setStatus: (status: any) => void;
    setSubmitting: (isSubmitting: boolean) => void;
    setTouched: (touched: import("formik").FormikTouched<import("formik").FormikValues>, shouldValidate?: boolean | undefined) => Promise<import("formik").FormikErrors<import("formik").FormikValues>> | Promise<void>;
    setValues: (values: React.SetStateAction<import("formik").FormikValues>, shouldValidate?: boolean | undefined) => Promise<import("formik").FormikErrors<import("formik").FormikValues>> | Promise<void>;
    submitForm: () => Promise<any>;
    validateForm: (values?: import("formik").FormikValues | undefined) => Promise<import("formik").FormikErrors<import("formik").FormikValues>>;
    validateField: (name: string) => Promise<void> | Promise<string | undefined>;
    isValid: boolean;
    dirty: boolean;
    unregisterField: (name: string) => void;
    registerField: (name: string, { validate }: any) => void;
    getFieldProps: (nameOrOptions: any) => import("formik").FieldInputProps<any>;
    getFieldMeta: (name: string) => import("formik").FieldMetaProps<any>;
    getFieldHelpers: (name: string) => import("formik").FieldHelperProps<any>;
    validateOnBlur: boolean;
    validateOnChange: boolean;
    validateOnMount: boolean;
    values: import("formik").FormikValues;
    errors: import("formik").FormikErrors<import("formik").FormikValues>;
    touched: import("formik").FormikTouched<import("formik").FormikValues>;
    isSubmitting: boolean;
    isValidating: boolean;
    status?: any;
    submitCount: number;
};
export { useFormikWizard };
